"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.code = exports.quote = exports.inlineCode = exports.link = exports.bold = exports.italic = exports.table = exports.LB = exports.CR = void 0;
exports.CR = '\n\n';
exports.LB = '\n';
const table = (headers = [], rows = [], fmtFnc = (rowValue) => rowValue) => {
    let t = '';
    t += `| ${headers.join(' | ')} |${exports.LB}|${' --- |'.repeat(headers.length)}`;
    t += `${exports.LB}| ${rows.map(fmtFnc).join(' | ')} |`;
    return t;
};
exports.table = table;
const italic = (text = '') => {
    if (!text || typeof text !== 'string') {
        return '';
    }
    return `*${text}*`;
};
exports.italic = italic;
const bold = (text = '') => {
    if (!text || typeof text !== 'string') {
        return '';
    }
    return `**${text}**`;
};
exports.bold = bold;
const link = (text, url) => {
    if (!text && !url)
        return '';
    return `[${text}](${url})`;
};
exports.link = link;
const inlineCode = (text) => {
    if (!text)
        return '';
    return '`' + text + '`';
};
exports.inlineCode = inlineCode;
const quote = (text) => {
    if (!text)
        return '';
    return `${exports.LB}> ${text}`;
};
exports.quote = quote;
const code = (text, language = '') => {
    if (!text)
        return '';
    return exports.CR + '```' + language + exports.LB + text + exports.LB + '```';
};
exports.code = code;
